<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>otnap</title>
  <script type="text/javascript" src="lib/jquery-1.12.1.min.js"></script>
  <style>
    html,body{
      font-family: monospace;
      background-color: #ddd;
      margin: 0;padding: 0;
      overflow: hidden;
      transition: all 1s ease;
      /*position: absolute;*/
      /*width:100%;*/
      /*height:100%;*/
    }
    video{
      position: absolute;
      z-index: 98;
      cursor: pointer;
      opacity: 0.3;
      margin: 0; padding: 0;
      transition: all 0.5s ease;
    }
    #nothing{
      display: none;
      pointer-events: none;
      opacity: 0.0;
    }
    #video-container{
      text-align: center;
      position: absolute;
      width: 100%;
      top: 40%;
      /*padding: 1em;*/
      /*margin-top: 0.5em;*/
      /*height: auto;*/
    }
    #control-container{
      position:  absolute;
      height: 100%;
      width: 100%;
      display: flex;
      justify-content: center; 
      /*bottom: 0;*/
      text-align: center;
    }
    #control{
      align-self: center;
      text-align: center;
      /*position: absolute;*/
      width: 260px;
      height: 210px;
      z-index: 100;
      /*margin-left: -130px;*/
      /*bottom:3em;*/
      /*left: 50%;*/
      /*height: 100%;*/
      /*transform : rotateX(12deg) rotateY(5deg);*/
      /*box-shadow: inset 0 0 10px #000000;*/
      /*pointer-events:none;*/
    }
    #tri{
      fill:#aaa;
      display: inline-block;
      position: absolute;
    }
    /*#innertri{
      fill:#aaa;
      display: inline-block;
      cursor: crosshair;
      position: absolute;
    }*/
    .knob{
      position: absolute;
      width: 50px;
      height: 50px;
      background-color: #555;
      opacity: 0.8;
      left:0;
      top:0;
      transition:background-color 0.1s ease;
      cursor: pointer;
      z-index: 1000;
      transform:translate(-50%, -50%);
    }
    .knob:hover{
      background-color: #bbb;
    }
    
    .playing{
      opacity: 1.0;
    }
    .dragged, .dragged:hover{
      background-color:#fff;
      transition:background-color 0.2s ease;
      z-index: 100;
    }
    *{
      -webkit-user-select: none;
      -khtml-user-select: none;
      -moz-user-select: none;
      -o-user-select: none;
      user-select: none;
      user-select:none;
    }
    .info-text{
      position: absolute;
      font-family: monospace;
      font-size: 1em;
      transform: translate(-50%,50%);
    }
    .videolane{
      position: absolute;
      min-height: 100px;
      width: 100%;
      height: auto;
      margin: 0; padding: 0;
    }
    #top{
      top:0;
    }
    #bottom{ bottom: 0; }
    #info-button{
      position: fixed;
      right: 0;
      font-size: 2em;
      width: 1em;
      height: 1em;
      padding: 0.25em;
      display: none;
      color:#888;
      z-index: 100;
      cursor: pointer;
      text-align: center;
      vertical-align: middle;
      /*border-radius: 50%;*/
      box-shadow: 0px 0px 0px 0px #ddd;
      transition:box-shadow 0.5s ease;
    }
    #info-button:hover{
      box-shadow:2px 2px 3px 2px #666;
      transition:box-shadow 0.5s ease;

    }
    #manual{
      display: inline-block;
      margin-top:4em;
      width: 30em;
    }
    #info{
      /*pointer-events: none;*/
      display: none;
      position:absolute;
      width: 100%;
      height: 100%;
      z-index: 99;
      opacity: 1.0;
      background-color: rgba(200,200, 200, 0.8);
      transition:opacity 0.5s ease;
      text-align: center;
    }
    #loadpercent{
      align-self: center;
      text-align: center;
      position: absolute;
      font-size:2em;
      padding-bottom: 2em;
      opacity: 1.0;
      z-index: 101;
    }
    #loading{
      position: absolute;
      /*margin-top: -10%;*/
      z-index: 100;
      bottom: 0;
      margin-top: -2em;
      height: 4em;
      width: 100%;
      opacity: 1.0;
      /*background-color: #ddd;*/
      color: #333;  
      font-size: 2em;
      text-align: center;
      vertical-align: middle;
      padding-top: 2em;
    }
    #fakecursor{
      position: absolute;
      width: 2em;
      height: 2em;
      transform: translate(-50%, -50%);
      border-radius: 50%;
      background-color: #fff;
      opacity: 0;
      mix-blend-mode: difference;
      z-index: 1000;
      /*transition: all 0.5 ease;*/
      animation-timing-function: linear;
    }
  </style>
</head>
  <body>
  <div id="info-button">?</div>
  <div id="loading">
  </div>
  <div class="knob" id= "loaderknob0"></div>
  <div class="knob" id= "loaderknob1"></div>
  <div class="knob" id= "loaderknob2"></div>
  <div id="info">
    <div id="manual">
      <!-- start the video loops by clicking on them <br><br> -->
      <!-- fade between the different languages by moving the corresponding circle on the triangle <br>  -->
    </div>
  </div>

  <div id="control-container">
    <div id= "loadpercent">...</div>
    <svg id="control">
      <polygon id="tri" points="0,0 130,210 260,0" />
      <!-- <polygon id="innertri" points="0,0 130,210 260,0" /> -->
    </svg>
  </div>
  <div id="fakecursor"></div>
  <script type="text/javascript" src="main.js"></script>

 </body>
</html>
